Loading...
Searching...
No Matches
space_constitution< T, M >

## Detailed Description

template<class T, class M = rheo_default_memory_model>
class rheolef::space_constitution< T, M >

Definition at line 405 of file space_constitution.h.

Inheritance diagram for space_constitution< T, M >:

## Public Types

typedef space_constitution_rep< T, M > | rep
typedef smart_pointer< rep > | base
typedef rep::size_type | size_type
typedef rep::const_iterator | const_iterator
typedef rep::scalar_type | scalar_type
typedef rep::hierarchy_type | hierarchy_type
typedef rep::valued_type | valued_type
Public Types inherited from smart_pointer< T >
typedef T | handled_type
typedef base::internal | internal

## Public Member Functions

| space_constitution ()
| space_constitution (const base &b)
| space_constitution (const geo_basic< T, M > &omega, std::string approx)
| space_constitution (const space_mult_list< T, M > &expr)
const distributor & | ownership () const
std::string | name () const
size_type | ndof () const
size_type | dis_ndof () const
size_type | ios_ndof () const
communicator | comm () const
const geo_basic< T, M > & | get_geo () const
const geo_basic< T, M > & | get_background_geo () const
const basis_basic< T > & | get_basis () const
size_type | loc_ndof (const reference_element &hat_K) const
size_type | assembly_loc_ndof (const geo_basic< T, M > &dom, const geo_element &bgd_K) const
void | assembly_dis_idof (const geo_basic< T, M > &dom, const geo_element &bgd_K, std::vector< geo_element::size_type > &dis_idof) const
void | do_act (const space_act &act)
void | block (const domain_indirect_basic< M > &dom)
void | unblock (const domain_indirect_basic< M > &dom)
void | block_n (const domain_indirect_basic< M > &dom)
void | unblock_n (const domain_indirect_basic< M > &dom)
disarray< size_type, M > | build_blocked_flag () const
void | compute_external_dofs (std::set< size_type > &ext_dof_set) const
bool | is_hierarchical () const
bool | have_compact_support_inside_element () const
bool | is_discontinuous () const
size_type | degree_max () const
void | neighbour_guard () const
const space_constitution_terminal< T, M > & | get_terminal () const
space_constitution_terminal< T, M > & | get_terminal ()
void | set_hierarchy (bool hier=true)
void | set_valued_tag (valued_type valued_tag)
void | set_valued (const std::string &valued)
const valued_type & | valued_tag () const
const std::string & | valued () const
const hierarchy_type & | get_hierarchy () const
hierarchy_type & | get_hierarchy ()
size_type | size () const
space_constitution< T, M > & | operator[] (size_type i_comp)
const space_constitution< T, M > & | operator[] (size_type i_comp) const
size_type | flattened_size () const
size_type | comp_dis_idof2dis_idof (size_type i_comp, size_type comp_dis_idof) const
void | set_ios_permutations (disarray< size_type, M > &idof2ios_dis_idof, disarray< size_type, M > &ios_idof2dis_idof) const
bool | operator== (const space_constitution< T, M > &V2) const
Public Member Functions inherited from smart_pointer< T >
| smart_pointer (T *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< T > &x)
smart_pointer< T > & | operator= (const smart_pointer< T > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, details::constructor_copy< T > >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, details::constructor_copy< T > > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, details::constructor_copy< T > > & | operator= (const smart_pointer_base< T, details::constructor_copy< T > > &)
| ~smart_pointer_base ()
const T * | pointer () const
T * | pointer ()
const T & | data () const
T & | data ()
const T * | operator-> () const
T * | operator-> ()
const T & | operator* () const
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Protected Member Functions

void | set_ios_permutation_recursion (disarray< size_type, M > &idof2ios_dis_idof, size_type &comp_start_idof, size_type &comp_start_dis_idof) const

## Member Typedef Documentation

## rep

template<class T , class M = rheo_default_memory_model>

typedef space_constitution_rep<T,M> rep

Definition at line 408 of file space_constitution.h.

## base

template<class T , class M = rheo_default_memory_model>

typedef smart_pointer<rep> base

Definition at line 409 of file space_constitution.h.

## size_type

template<class T , class M = rheo_default_memory_model>

typedef rep::size_type size_type

Definition at line 410 of file space_constitution.h.

## const_iterator

template<class T , class M = rheo_default_memory_model>

typedef rep::const_iterator const_iterator

Definition at line 411 of file space_constitution.h.

## scalar_type

template<class T , class M = rheo_default_memory_model>

typedef rep::scalar_type scalar_type

Definition at line 412 of file space_constitution.h.

## hierarchy_type

template<class T , class M = rheo_default_memory_model>

typedef rep::hierarchy_type hierarchy_type

Definition at line 413 of file space_constitution.h.

## valued_type

template<class T , class M = rheo_default_memory_model>

typedef rep::valued_type valued_type

Definition at line 414 of file space_constitution.h.

## Constructor & Destructor Documentation

## space_constitution() [1/4]

template<class T , class M = rheo_default_memory_model>

space_constitution | ( |  | ) |

Definition at line 418 of file space_constitution.h.

## space_constitution() [2/4]

template<class T , class M = rheo_default_memory_model>

space_constitution | ( | const base & | b | ) |

Definition at line 421 of file space_constitution.h.

## space_constitution() [3/4]

template<class T , class M = rheo_default_memory_model>

space_constitution | ( | const geo_basic< T, M > & | omega,
|  | std::string | approx
| ) |  |

Definition at line 424 of file space_constitution.h.

## space_constitution() [4/4]

template<class T , class M = rheo_default_memory_model>

space_constitution | ( | const space_mult_list< T, M > & | expr | ) |

Definition at line 429 of file space_constitution.h.

## Member Function Documentation

## ownership()

template<class T , class M = rheo_default_memory_model>

const distributor & ownership | ( |  | ) | const

Definition at line 434 of file space_constitution.h.

## name()

template<class T , class M = rheo_default_memory_model>

std::string name | ( |  | ) | const

Definition at line 435 of file space_constitution.h.

## ndof()

template<class T , class M = rheo_default_memory_model>

size_type ndof | ( |  | ) | const

Definition at line 436 of file space_constitution.h.

## dis_ndof()

template<class T , class M = rheo_default_memory_model>

size_type dis_ndof | ( |  | ) | const

Definition at line 437 of file space_constitution.h.

## ios_ndof()

template<class T , class M = rheo_default_memory_model>

size_type ios_ndof | ( |  | ) | const

Definition at line 438 of file space_constitution.h.

## comm()

template<class T , class M = rheo_default_memory_model>

communicator comm | ( |  | ) | const

Definition at line 439 of file space_constitution.h.

## get_geo()

template<class T , class M = rheo_default_memory_model>

const geo_basic< T, M > & get_geo | ( |  | ) | const

Definition at line 440 of file space_constitution.h.

## get_background_geo()

template<class T , class M = rheo_default_memory_model>

const geo_basic< T, M > & get_background_geo | ( |  | ) | const

Definition at line 441 of file space_constitution.h.

## get_basis()

template<class T , class M = rheo_default_memory_model>

const basis_basic< T > & get_basis | ( |  | ) | const

Definition at line 442 of file space_constitution.h.

## loc_ndof()

template<class T , class M = rheo_default_memory_model>

size_type loc_ndof | ( | const reference_element & | hat_K | ) | const

Definition at line 443 of file space_constitution.h.

## assembly_loc_ndof()

template<class T , class M = rheo_default_memory_model>

size_type assembly_loc_ndof | ( | const geo_basic< T, M > & | dom,
|  | const geo_element & | bgd_K
| ) |  | const

Definition at line 444 of file space_constitution.h.

## assembly_dis_idof()

template<class T , class M = rheo_default_memory_model>

void assembly_dis_idof | ( | const geo_basic< T, M > & | dom,
|  | const geo_element & | bgd_K,
|  | std::vector< geo_element::size_type > & | dis_idof
| ) |  | const

Definition at line 446 of file space_constitution.h.

## do_act()

template<class T , class M = rheo_default_memory_model>

void do_act | ( | const space_act & | act | ) |

Definition at line 448 of file space_constitution.h.

## block()

template<class T , class M = rheo_default_memory_model>

void block | ( | const domain_indirect_basic< M > & | dom | ) |

Definition at line 449 of file space_constitution.h.

## unblock()

template<class T , class M = rheo_default_memory_model>

void unblock | ( | const domain_indirect_basic< M > & | dom | ) |

Definition at line 450 of file space_constitution.h.

## block_n()

template<class T , class M = rheo_default_memory_model>

void block_n | ( | const domain_indirect_basic< M > & | dom | ) |

Definition at line 451 of file space_constitution.h.

## unblock_n()

template<class T , class M = rheo_default_memory_model>

void unblock_n | ( | const domain_indirect_basic< M > & | dom | ) |

Definition at line 452 of file space_constitution.h.

## build_blocked_flag()

template<class T , class M = rheo_default_memory_model>

disarray< size_type, M > build_blocked_flag | ( |  | ) | const

Definition at line 453 of file space_constitution.h.

## compute_external_dofs()

template<class T , class M = rheo_default_memory_model>

void compute_external_dofs | ( | std::set< size_type > & | ext_dof_set | ) | const

Definition at line 454 of file space_constitution.h.

## is_hierarchical()

template<class T , class M = rheo_default_memory_model>

bool is_hierarchical | ( |  | ) | const

Definition at line 456 of file space_constitution.h.

## have_compact_support_inside_element()

template<class T , class M = rheo_default_memory_model>

bool have_compact_support_inside_element | ( |  | ) | const

Definition at line 460 of file space_constitution.h.

## is_discontinuous()

template<class T , class M = rheo_default_memory_model>

bool is_discontinuous | ( |  | ) | const

Definition at line 461 of file space_constitution.h.

## degree_max()

template<class T , class M = rheo_default_memory_model>

size_type degree_max | ( |  | ) | const

Definition at line 462 of file space_constitution.h.

## neighbour_guard()

template<class T , class M = rheo_default_memory_model>

void neighbour_guard | ( |  | ) | const

Definition at line 463 of file space_constitution.h.

## get_terminal() [1/2]

template<class T , class M = rheo_default_memory_model>

const space_constitution_terminal< T, M > & get_terminal | ( |  | ) | const

Definition at line 467 of file space_constitution.h.

## get_terminal() [2/2]

template<class T , class M = rheo_default_memory_model>

space_constitution_terminal< T, M > & get_terminal | ( |  | ) |

Definition at line 468 of file space_constitution.h.

## set_hierarchy()

template<class T , class M = rheo_default_memory_model>

void set_hierarchy | ( | bool | hier = `true` | ) |

Definition at line 472 of file space_constitution.h.

## set_valued_tag()

template<class T , class M = rheo_default_memory_model>

void set_valued_tag | ( | valued_type | valued_tag | ) |

Definition at line 473 of file space_constitution.h.

## set_valued()

template<class T , class M = rheo_default_memory_model>

void set_valued | ( | const std::string & | valued | ) |

Definition at line 474 of file space_constitution.h.

## valued_tag()

template<class T , class M = rheo_default_memory_model>

const valued_type & valued_tag | ( |  | ) | const

Definition at line 475 of file space_constitution.h.

## valued()

template<class T , class M = rheo_default_memory_model>

const std::string & valued | ( |  | ) | const

Definition at line 476 of file space_constitution.h.

## get_hierarchy() [1/2]

template<class T , class M = rheo_default_memory_model>

const hierarchy_type & get_hierarchy | ( |  | ) | const

Definition at line 477 of file space_constitution.h.

## get_hierarchy() [2/2]

template<class T , class M = rheo_default_memory_model>

hierarchy_type & get_hierarchy | ( |  | ) |

Definition at line 478 of file space_constitution.h.

## size()

template<class T , class M = rheo_default_memory_model>

size_type size | ( |  | ) | const

Definition at line 479 of file space_constitution.h.

## operator[]() [1/2]

template<class T , class M = rheo_default_memory_model>

space_constitution< T, M > & operator[] | ( | size_type | i_comp | ) |

Definition at line 480 of file space_constitution.h.

## operator[]() [2/2]

template<class T , class M = rheo_default_memory_model>

const space_constitution< T, M > & operator[] | ( | size_type | i_comp | ) | const

Definition at line 481 of file space_constitution.h.

## flattened_size()

template<class T , class M = rheo_default_memory_model>

size_type flattened_size | ( |  | ) | const

Definition at line 482 of file space_constitution.h.

## comp_dis_idof2dis_idof()

template<class T , class M = rheo_default_memory_model>

size_type comp_dis_idof2dis_idof | ( | size_type | i_comp,
|  | size_type | comp_dis_idof
| ) |  | const

Definition at line 483 of file space_constitution.h.

## set_ios_permutations()

template<class T , class M = rheo_default_memory_model>

void set_ios_permutations | ( | disarray< size_type, M > & | idof2ios_dis_idof,
|  | disarray< size_type, M > & | ios_idof2dis_idof
| ) |  | const

Definition at line 488 of file space_constitution.h.

## operator==()

template<class T , class M = rheo_default_memory_model>

bool operator== | ( | const space_constitution< T, M > & | V2 | ) | const

Definition at line 495 of file space_constitution.h.

## set_ios_permutation_recursion()

template<class T , class M = rheo_default_memory_model>

void set_ios_permutation_recursion | ( | disarray< size_type, M > & | idof2ios_dis_idof,
|  | size_type & | comp_start_idof,
|  | size_type & | comp_start_dis_idof
| ) |  | const

protected

Definition at line 500 of file space_constitution.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/space_constitution.h